package galatea.glider;

/*
 * @(#)ErrorEmpty.java  2.0 06/05/06
 *
 * Copyright (c) 2006 Galatea Group, Universidad de Los Andes, Venezuela.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is part of Galatea Multi-Agent Simulation Plattform.
 * Galatea is free software. This code is free software; you can  
 * redistribute it and/or modify it under the terms of the GNU 
 * General Public License version 2 only, as published by the 
 * Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License version 2 for more details (a copy is included 
 * in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU General Public License 
 * version 2 along with this work; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Galatea Group, Universidad de Los Andes, Mrida,
 * Venezuela or visit http://galatea.sourceforge.net/ if you need
 * additional information or have any questions.
 */

/**
 * Class ErrorEmpty definition. <br>
 *
 * This is the base class for errors in Galatea's list. <br>
 * ----- <br>
 * Clase basica para manejo de errores en listas Galatea. <br>
 *
 * @version 2 01/06/00
 * @author Mayerlin Uzcategui
 * @since 01/20/00
 */
public final class ErrorEmpty extends RuntimeException {

    private static final long serialVersionUID = 1L;

    /**
     * Display error message due to empty list <br>
     * ----- <br>
     * Visualizacion de mensajes de error por lista vacia <br>
     *
     * @param name
     *            String. List's name <br>
     *            ----- <br>
     *            name - String. Nombre de la lista. <br>
     *
     * @exception RuntimeException
     */
    public ErrorEmpty(String name) {
        super(name + " is empty");
    }
}
