package galatea.glider;

/*
 * @(#)ErrorNode.java  2.0 06/05/06
 *
 * Copyright (c) 2006 Galatea Group, Universidad de Los Andes, Venezuela.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is part of Galatea Multi-Agent Simulation Plattform.
 * Galatea is free software. This code is free software; you can  
 * redistribute it and/or modify it under the terms of the GNU 
 * General Public License version 2 only, as published by the 
 * Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License version 2 for more details (a copy is included 
 * in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU General Public License 
 * version 2 along with this work; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Galatea Group, Universidad de Los Andes, Mrida,
 * Venezuela or visit http://galatea.sourceforge.net/ if you need
 * additional information or have any questions.
 */

/**
 * Class ErrorNode definition. <br>
 *
 * This is the base class for errors in Galatea's nodes. <br>
 * ----- <br>
 * Clase base para manejo de errores en nodos Galatea. <br>
 *
 * @version 4 06/20/00
 * @author Mayerlin Uzcategui
 * @since 20/01/00
 */
final class ErrorNode extends RuntimeException {

    private static final long serialVersionUID = 1L;

    /**
     * Display error message due to node. <br>
     * ----- <br>
     * Visualizacion de mensajes de error en nodos. <br>
     *
     * @param name
     *            String. Node's name <br>
     *            ----- <br>
     *            name - String. Nombre del nodo. <br>
     *            <br>
     * @param m
     *            String. Error message <br>
     *            ----- <br>
     *            m - String. Mensaje de error. <br>
     *
     * @exception RuntimeException
     */
    ErrorNode(String name, String m) {
        super(name + ">>> Error" + m);
    }
}
