package galatea.glider;

/*
 * @(#)Galatea.java  2.0 06/05/06
 *
 * Copyright (c) 2006 Galatea Group, Universidad de Los Andes, Venezuela.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is part of Galatea Multi-Agent Simulation Plattform.
 * Galatea is free software. This code is free software; you can  
 * redistribute it and/or modify it under the terms of the GNU 
 * General Public License version 2 only, as published by the 
 * Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License version 2 for more details (a copy is included 
 * in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU General Public License 
 * version 2 along with this work; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Galatea Group, Universidad de Los Andes, Mrida,
 * Venezuela or visit http://galatea.sourceforge.net/ if you need
 * additional information or have any questions.
 */

import java.awt.Color;
import java.awt.Font;

/**
 * Class Galatea definition. <br>
 *
 * This is the base class for Galatea. <br>
 * ----- <br>
 * Clase basica de Galatea.
 *
 * @version 5 03/25/2006
 * @author Mayerlin Uzcategui
 * @since 01/03/02
 */
public class Galatea {

    /**
     * Base types for list order. <br>
     * ----- <br>
     * Tipos basicos para ordenamiento de listas. <br>
     */
    public static final byte NONE = 0, FIFO = 1, LIFO = 2, ASCEN = 3,
            DESCEN = 4;

    /**
     * Base types for set list. <br>
     * ----- <br>
     * Tipos basicos para asignaciones en listas. <br>
     */
    public static final byte FREE = -2, MIN = -1, ALL = 0;

    // static final T_ASSEMBLE = (NONE,ELIM,FIRST,NEW);
    // static final T_ORDER = (NONE,FIFO,LIFO,ASCEN,DESCEN);
    // static final T_SENDTO = (FREE,MIN);
    // static final T_STAT = (ALL);

    // 23/05/2006 Graph, Gode
    // 03/25/2006 Gide, GCompiler
    // 01/20/2006 Gui,Gode Txt
    // 15/02/2005 Gspace
    // 12/10/2004 FipaOs
    // 01/06/2002 Ggis
    // 03/19/2000 Glorias
    // 01/20/2000 Glider
    /**
     * Current version. <br>
     * ----- <br>
     * Version actual. <br>
     */
    public static final String VERSION = "5";

    /**
     * Current version date. <br>
     * ----- <br>
     * Fecha de la version actual. <br>
     */
    public static final String DATE = "03/25/2006";

    /**
     * Maximum number of ODE<br>
     * ----- <br>
     * Numero maximo de EDO. <br>
     */
    public static final int MAXODES = 100;

    /**
     * Integration Methods ids. <br>
     * ----- <br>
     * Identificadores de los metodos de integracion. <br>
     */
    public static final String RK4ID = "RK4", RK4IncID = "RK4Inc",
            EulerID = "Euler", EulerModID = "EulerMod", HeunID = "Heun";

    /**
     * Availables integration Methods. <br>
     * ----- <br>
     * Metodos de integracion disponibles. <br>
     */
    public static final String ODESMETHODS[] = { RK4ID, RK4IncID, EulerID,
            EulerModID, HeunID };

    /**
     * Available colors in Graph. <br>
     * ----- <br>
     * Colores disponibles en Graph. <br>
     */
    public static Color[] GCOLORS = { Color.BLUE, Color.GREEN, Color.MAGENTA,
            Color.ORANGE, Color.GRAY, Color.RED, Color.YELLOW, Color.PINK,
            Color.CYAN, new Color(100, 50, 0), Color.BLUE.brighter(),
            Color.GREEN.brighter(), Color.MAGENTA.brighter(), Color.LIGHT_GRAY,
            Color.RED.brighter(), Color.CYAN.brighter(), Color.DARK_GRAY };

    /**
     * Background color in Graph. <br>
     * ----- <br>
     * Color de fondo en Graph. <br>
     */
    public static Color GBGCOLOR = Color.BLACK;

    /**
     * Axis color in Graph. <br>
     * ----- <br>
     * Color de ejes Graph. <br>
     */
    public static Color GAXISCOLOR = Color.WHITE;

    /**
     * Labels in Graph. <br>
     * ----- <br>
     * Etiquetas in Graph. <br>
     */
    public static boolean DRAWLABELS = false;

    /**
     * Font size. <br>
     * ----- <br>
     * Tamano de fuente. <br>
     */
    public static final int FONTSIZE = 12;

    /**
     * Base Font. <br>
     * ----- <br>
     * Tipo basico de fuente. <br>
     */

    public static final String FONTBASE = "Arial";

    /**
     * Font. <br>
     * ----- <br>
     * Fuente. <br>
     */
    public static final Font FONT = new Font(FONTBASE, Font.PLAIN, FONTSIZE);

    /**
     * Output number format. <br>
     * ----- <br>
     * Formato de salida numrico. <br>
     */
    public static final int OIF = 9, OF = 5;

    /**
     * String format. <br>
     * ----- <br>
     * Formato de salida para cadenas. <br>
     */
    public static final int OS = 9;

    /**
     * Field separator. <br>
     * ----- <br>
     * Separador de campos. <br>
     */
    public static final String FS = " ";

}
